Bug 867951 - Guides in rhevm-doc builds appear without branding.
Guides in rhevm-doc builds appear without branding.
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhevm-doc (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Gordon
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 12:23 EDT by Stephen Gordon
Modified: 2012-11-01 10:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-01 10:05:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2012-10-18 12:23:04 EDT
Description of problem:

The guides depend on common branding content from the publican-redhat brand. We don't distribute this, so rhevm-doc is going to need to:

- Bundle a couple of key css and image files.
- Rewrite paths as appropriate (we already do this to kill the javascript TOC, need to extend it).

Version-Release number of selected component (if applicable):

All versions, but need to fix for RC.
Comment 1 Stephen Gordon 2012-10-18 12:27:51 EDT
Looking at my 3.0 install the branding was there in that version of rhevm-doc, I think this has been introduced as a result of the fact that we now build with Publican 3. It handles the branding slightly differently.
Comment 2 Stephen Gordon 2012-10-18 12:49:53 EDT
I think the correct solution is for:

rhevm-doc to own:

/usr/share/ovirt-engine/doc/common/
/usr/share/ovirt-engine/doc/common/en-US

rhevm-doc-ja-JP to own:

/usr/share/ovirt-engine/doc/common/ja-JP

...and so on.
Comment 3 Stephen Gordon 2012-10-23 09:56:18 EDT
Ok, I have a fix for en-US. rhevm-doc now packages and owns the CSS and images required for proper "branding". These deploy under these folders (common refers to the 'common' brand, 'RedHat' refers to the Red Hat brand that further overrides this):

/usr/share/ovirt-engine/doc/common/en-US
/usr/share/ovirt-engine/doc/RedHat/en-US

For rhevm-doc-ja-JP I belive the appropriate action will be to provide symlinks:

/usr/share/ovirt-engine/doc/common/ja-JP -> /usr/share/ovirt-engine/doc/common/en-US 
/usr/share/ovirt-engine/doc/RedHat/ja-JP -> /usr/share/ovirt-engine/doc/RedHat/en-US
Comment 4 Stephen Gordon 2012-10-23 16:34:27 EDT
rhevm-doc-ja-JP-3.1.0-6  is the first build of the Japanese version to include the branding fix.

Note You need to log in before you can comment on or make changes to this bug.